#!/usr/bin/php
<?php
/**
 * @package     Subscriptions
 *
 * @copyright   Copyright (C) 2011 Mark Dexter and Louis Landry. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE
 */

// Declare that we are a valid Joomla entry point if not declared.
if (!defined('_JEXEC'))
{
	define('_JEXEC', 1);
}

// Setup the application base path constant if not already set.
if (!defined('JPATH_BASE'))
{
	define('JPATH_BASE', dirname(__FILE__));
}

// Import the Joomla Platform.
require dirname(dirname(__FILE__)) . '/libraries/import.php';

// Import library dependencies.
jimport('joomla.log.log');

require JPATH_BASE . '/subscriptionmonitor.php';

// Load the configuration.php file
$config = JFactory::getConfig(JPATH_BASE.'/configuration.php');

// Create the log file
// Get the date so that we can roll the logs over a time interval.
$date = JFactory::getDate()->format('Y-m-d');

// Add the logger.
JLog::addLogger(
	// Pass an array of configuration options.
	// Note that the default logger is 'formatted_text' - logging to a file.
	array(
	// Set the name of the log file.
		'text_file' => 'monitor-.'.$date.'.php',
		// Set the path for log files.
		'text_file_path' => __DIR__.'/logs/'
		)
	);

// Wrap the execution in a try statement to catch any exceptions thrown anywhere in the script.
try
{
	// Instantiate and execute the application.
	JCli::getInstance('SubscriptionMonitor')->execute();
}
catch (Exception $e)
{
	// An exception has been caught, add the message to the log.
	JLog::add($e->getMessage(), JLog::ERROR);
	exit($e->getCode());
}
